Bug 622514 - service cherokee reload should use SIGHUP
Summary: service cherokee reload should use SIGHUP
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: cherokee   
(Show other bugs)
Version: el5
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Lorenzo Villani
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-09 15:27 UTC by Harshad RJ
Modified: 2011-10-01 01:33 UTC (History)
2 users (show)

Fixed In Version: cherokee-1.2.99-2.el4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-03 02:58:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
New init script (1.99 KB, application/octet-stream)
2010-08-31 18:02 UTC, Pavel Lisý
no flags Details

Description Harshad RJ 2010-08-09 15:27:28 UTC
Description of problem:
The Cherokee web server supports graceful restart via the SIGHUP signal. But the /etc/init.d/cherokee script treats both "reload" and "restart" the same way.

Since this is a front-facing server, it is extremely desirable to have an easy to gracefully restart the service.

Comment 1 Fedora Update System 2010-08-29 14:54:44 UTC
cherokee-1.0.8-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/cherokee-1.0.8-1.fc13

Comment 2 Fedora Update System 2010-08-29 14:54:57 UTC
cherokee-1.0.8-1.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/cherokee-1.0.8-1.el4

Comment 3 Fedora Update System 2010-08-29 14:55:10 UTC
cherokee-1.0.8-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/cherokee-1.0.8-1.fc12

Comment 4 Fedora Update System 2010-08-29 14:55:24 UTC
cherokee-1.0.8-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/cherokee-1.0.8-1.fc14

Comment 5 Fedora Update System 2010-08-29 14:55:38 UTC
cherokee-1.0.8-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/cherokee-1.0.8-1.el5

Comment 6 Fedora Update System 2010-08-30 17:55:18 UTC
cherokee-1.0.8-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cherokee'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/cherokee-1.0.8-1.el5

Comment 7 Fedora Update System 2010-08-30 17:55:30 UTC
cherokee-1.0.8-1.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cherokee'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/cherokee-1.0.8-1.el4

Comment 8 Pavel Lisý 2010-08-31 17:58:08 UTC
We need correct init script to hide output from cherokee daemon. I wasn't successful when I had tried get CVS from fedora so I sent it here in attachment.

Comment 9 Pavel Lisý 2010-08-31 18:02:10 UTC
Created attachment 442246 [details]
New init script

replace old one with this to hide confusing output from init script

Comment 10 Lorenzo Villani 2010-09-01 14:22:25 UTC
We are now using git for Fedora packages: http://fedoraproject.org/wiki/Using_Fedora_GIT

Comment 11 Fedora Update System 2010-09-01 17:21:21 UTC
cherokee-1.0.8-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/cherokee-1.0.8-2.el5

Comment 12 Fedora Update System 2010-09-01 17:21:34 UTC
cherokee-1.0.8-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/cherokee-1.0.8-2.fc13

Comment 13 Fedora Update System 2010-09-01 17:21:48 UTC
cherokee-1.0.8-2.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/cherokee-1.0.8-2.fc12

Comment 14 Fedora Update System 2010-09-01 17:22:02 UTC
cherokee-1.0.8-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/cherokee-1.0.8-2.fc14

Comment 15 Fedora Update System 2010-09-01 17:22:15 UTC
cherokee-1.0.8-2.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/cherokee-1.0.8-2.el4

Comment 16 Fedora Update System 2010-09-02 02:26:55 UTC
cherokee-1.0.8-2.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cherokee'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/cherokee-1.0.8-2.el4

Comment 17 Fedora Update System 2010-09-02 02:27:40 UTC
cherokee-1.0.8-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cherokee'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/cherokee-1.0.8-2.el5

Comment 18 Fedora Update System 2011-02-23 06:48:27 UTC
cherokee-1.0.20-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/cherokee-1.0.20-3.fc15

Comment 19 Fedora Update System 2011-02-23 06:49:22 UTC
cherokee-1.0.20-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/cherokee-1.0.20-3.fc14

Comment 20 Fedora Update System 2011-02-23 06:50:26 UTC
cherokee-1.0.20-3.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/cherokee-1.0.20-3.el4

Comment 21 Fedora Update System 2011-02-23 07:01:33 UTC
cherokee-1.0.20-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/cherokee-1.0.20-3.el5

Comment 22 Fedora Update System 2011-02-23 07:04:56 UTC
cherokee-1.0.20-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cherokee-1.0.20-3.el6

Comment 23 Fedora Update System 2011-02-25 15:31:00 UTC
cherokee-1.2.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/cherokee-1.2.1-1.fc15

Comment 24 Fedora Update System 2011-02-25 15:33:50 UTC
cherokee-1.2.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cherokee-1.2.1-1.el6

Comment 25 Fedora Update System 2011-02-25 15:34:50 UTC
cherokee-1.2.1-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/cherokee-1.2.1-1.el5

Comment 26 Fedora Update System 2011-02-25 15:36:00 UTC
cherokee-1.2.1-1.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/cherokee-1.2.1-1.el4

Comment 27 Fedora Update System 2011-03-03 02:58:03 UTC
cherokee-1.2.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2011-03-14 17:25:38 UTC
cherokee-1.2.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 29 Fedora Update System 2011-03-14 17:26:53 UTC
cherokee-1.2.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 30 Fedora Update System 2011-03-14 17:28:09 UTC
cherokee-1.2.1-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 31 Fedora Update System 2011-09-13 10:16:39 UTC
cherokee-1.2.99-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/cherokee-1.2.99-1.el5

Comment 32 Fedora Update System 2011-09-14 10:10:54 UTC
cherokee-1.2.99-2.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/cherokee-1.2.99-2.el4

Comment 33 Fedora Update System 2011-09-29 03:24:47 UTC
cherokee-1.2.99-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 34 Fedora Update System 2011-10-01 01:31:55 UTC
cherokee-1.2.99-2.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.